commit:     dcd4d862785caa75c22b9c9afe7ba60fbe7f1358
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  8 13:40:29 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Apr  8 13:55:28 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcd4d862

net-misc/yt-dlp: add 2022.4.8

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 net-misc/yt-dlp/Manifest               |  1 +
 net-misc/yt-dlp/yt-dlp-2022.4.8.ebuild | 67 ++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/net-misc/yt-dlp/Manifest b/net-misc/yt-dlp/Manifest
index a28083f4571a..e0b0c2eecde3 100644
--- a/net-misc/yt-dlp/Manifest
+++ b/net-misc/yt-dlp/Manifest
@@ -1,2 +1,3 @@
 DIST yt-dlp-2022.2.4.tar.gz 2178642 BLAKE2B 
2e6c11bb9fbc30b725dc26db727500c33af944d16fbc46be8fb35a75ab4f5c09ca0c8754f075b9739ca9d47e9b409f8d533c03b417217344f8cac1ec45968b51
 SHA512 
6bb6bee6f748147a566394bbe0b69781ab415398582cb8e88a49b61a5dd106e666b0429c8f4f6483bc4af0363e88eb95c5159457b7049cc11a2c99a6495c6895
 DIST yt-dlp-2022.3.8.2.tar.gz 2454754 BLAKE2B 
f07c1eb8d0e1f936298d6516e518f366558107ba9ae65f7c0b52bdcd185b27e501d0d0ffb20e923a94ce5f42c88ae335069876946c411232b9dfc1309ae796ca
 SHA512 
bd6c105f65415e2229781bb1e859167686a5f5f6886e98f9693acc127d4f9124aa2d55f32835f82509f6ab5a82601a5d612ac608063ef9041769fa91e3539c44
+DIST yt-dlp-2022.4.8.tar.gz 2257195 BLAKE2B 
1d83ef14900789d0af0fc80bafcd6d80ca3162ede818d74382598161014c1a4c4450c0cdf57cdc79f3c5e2970a46004619eeffa9dfdb0d7af128bbe2a023ebf8
 SHA512 
b2d865682ba44dbd168cd76089105fc1d7ff2d79ba884c9626b3a4009c05f07eccaed2b8801318e89e3e197affc70aad68c1813590eef2a5148ded9c037bf0ce

diff --git a/net-misc/yt-dlp/yt-dlp-2022.4.8.ebuild 
b/net-misc/yt-dlp/yt-dlp-2022.4.8.ebuild
new file mode 100644
index 000000000000..38a65a783586
--- /dev/null
+++ b/net-misc/yt-dlp/yt-dlp-2022.4.8.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit bash-completion-r1 distutils-r1 optfeature
+
+DESCRIPTION="youtube-dl fork with additional features and fixes"
+HOMEPAGE="https://github.com/yt-dlp/yt-dlp";
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+LICENSE="Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86 ~x64-macos"
+
+RDEPEND="
+       dev-python/pycryptodome[${PYTHON_USEDEP}]
+       !net-misc/youtube-dl[-yt-dlp(-)]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # adjust requires for pycryptodome and optional dependencies (bug 
#828466)
+       sed -ri requirements.txt \
+               -e "s/^(pycryptodome)x/\1/" \
+               -e "/^(brotli.*|mutagen|websockets)/d" || die
+}
+
+python_test() {
+       epytest -m 'not download' -p no:markdown
+}
+
+python_install_all() {
+       dodoc README.md Changelog.md supportedsites.md
+       doman yt-dlp.1
+
+       dobashcomp completions/bash/yt-dlp
+
+       insinto /usr/share/fish/vendor_completions.d
+       doins completions/fish/yt-dlp.fish
+
+       insinto /usr/share/zsh/site-functions
+       doins completions/zsh/_yt-dlp
+
+       rm -r "${ED}"/usr/share/doc/yt_dlp || die
+
+       newbin - youtube-dl <<-EOF
+               #!/usr/bin/env sh
+               exec yt-dlp --compat-options youtube-dl "\${@}"
+       EOF
+}
+
+pkg_postinst() {
+       optfeature "various features (merging tracks, streamed content)" 
media-video/ffmpeg
+       has_version media-video/atomicparsley || # allow fallback but don't 
advertise
+               optfeature "embedding metadata thumbnails in MP4/M4A files" 
media-libs/mutagen
+
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog 'A wrapper using "yt-dlp --compat-options youtube-dl" was 
installed'
+               elog 'as "youtube-dl". This is strictly for compatibility and 
it is'
+               elog 'recommended to use "yt-dlp" directly, it may be removed 
in the future.'
+       fi
+}

Reply via email to